import prisma from '#utilities/prisma' // Import the global Prisma instance
import { CharacterHair } from '@prisma/client'

class CharacterHairRepository {
  async getAll(): Promise<CharacterHair[]> {
    return prisma.characterHair.findMany()
  }
  async getAllSelectable(): Promise<CharacterHair[]> {
    return prisma.characterHair.findMany({
      where: {
        isSelectable: true
      }
    })
  }
  async getById(id: number) {
    return prisma.characterHair.findUnique({
      where: { id },
      include: {
        sprite: {
          include: {
            spriteActions: true
          }
        }
      }
    })
  }
}

export default new CharacterHairRepository()
