import prisma from '#utilities/prisma' // Import the global Prisma instance
import { Tile } from '@prisma/client'
import zoneRepository from './zoneRepository'
import { unduplicateArray } from '#utilities/utilities'
import { FlattenZoneArray } from '#utilities/zone'

class ItemRepository {
  async getById(id: string) {
    return prisma.item.findUnique({
      where: { id },
      include: {
        sprite: true
      }
    })
  }

  async getByIds(ids: string[]) {
    return prisma.item.findMany({
      where: {
        id: {
          in: ids
        }
      },
      include: {
        sprite: true
      }
    })
  }

  async getAll() {
    return prisma.item.findMany({
      include: {
        sprite: true
      }
    })
  }
}

export default new ItemRepository()
